> For the complete documentation index, see [llms.txt](https://docs.tasksource.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tasksource.io/api-documentation/projects/invite-a-new-team-member.md).

# Invite a new Team member

### Input parameters

* ProjectID
* EmailAddressOfNewMember

### How to call from app

```
*
```

### Logic

1. Add the EmailAddressOfNewMember to members array of the Project
2. check if the user with EmailAddressOfNewMember is already registerd in the app
3. <mark style="color:green;">**If the user is registered:**</mark>&#x20;
   1. Add the project id to thirdparty projects array
4. If the user is not registered do nothing.
5. Send First Email:
   * to\_email\_adress = EmailAddressOfNewMember
   * template\_name = "project-invitation->user"
   * data = {project: projectData}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tasksource.io/api-documentation/projects/invite-a-new-team-member.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
